> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudblast.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Security Groups

> Returns all security groups owned by your account.



## OpenAPI

````yaml GET /security-groups
openapi: 3.0.3
info:
  title: CloudBlast API
  description: >-
    The CloudBlast V2 API provides a modern RESTful interface for managing your
    cloud infrastructure programmatically. All responses follow a consistent `{
    "data": ... }` or `{ "error": ... }` format.
  version: 2.0.0
servers:
  - url: https://console.cloudblast.io/api/v2
    description: Production
security:
  - bearerAuth: []
paths:
  /security-groups:
    get:
      tags:
        - Security Groups
      summary: List security groups
      description: Returns all security groups owned by your account.
      operationId: listSecurityGroups
      responses:
        '200':
          description: Security group list
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SecurityGroup'
        '401':
          $ref: '#/components/responses/Unauthenticated'
components:
  schemas:
    SecurityGroup:
      type: object
      properties:
        id:
          type: integer
          example: 1
        name:
          type: string
          example: web-servers
        description:
          type: string
          nullable: true
          example: Allow HTTP/HTTPS traffic
        vm_count:
          type: integer
          description: Number of servers attached
          example: 3
        rules_count:
          type: integer
          description: Number of firewall rules
          example: 5
        created_at:
          type: string
          format: date-time
          example: '2026-01-10T14:00:00+00:00'
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: Machine-readable error code
            message:
              type: string
              description: Human-readable error message
          required:
            - code
            - message
  responses:
    Unauthenticated:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: UNAUTHENTICATED
              message: >-
                Missing or invalid Authorization header. Use: Authorization:
                Bearer <token>
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API token from your CloudBlast account settings. Pass as `Authorization:
        Bearer <token>`.

````